from motor.motor_asyncio import AsyncIOMotorDatabase
import schemas
from crud.base import CRUDBase

__all__ = 'interview_record',


class CRUDJobs(CRUDBase):
    # 获取所有面试数据
    async def all_field(self, db: AsyncIOMotorDatabase):
        return await self.find_many(db, {}, {'_id': 0})

    # 获取所有对应条件面试数据
    # async def all_fields(self, db: AsyncIOMotorDatabase, data_in: schemas.Jobs):
    #     if data_in == None:
    #         return await self.find_many(db, {}, {'_id': 0})
    #     else:
    #         where = {}
    #         data_dict = data_in.dict()
    #         for k, v in data_dict.items():
    #             if v != None:
    #                 where[k] = v
    #         return await self.find_many(db, where, {'_id': 0})

    # async def update_job(self, db: AsyncIOMotorDatabase, data_in: schemas.Jobs):
    #     update = {}
    #     data_dict = data_in.dict()
    #     for k, v in data_dict.items():
    #         if v != None and k != 'job_id':
    #             update[k] = v
    #     await self.update_one(db, {'job_id': data_in.job_id}, {'$set': update})

    # 插入一条新的面试数据数据
    async def insert_record(self, db: AsyncIOMotorDatabase, data_in: schemas.interview_record):

        await self.insert_one(db, data_in.dict())


interview_record = CRUDJobs('interview_record')
